import matplotlib.pyplot as plt
numargs = rayleigh.numargs
[  ] = [0.9,] * numargs
rv = rayleigh()

# Display frozen pdf

x = np.linspace(0, np.minimum(rv.dist.b, 3))
h = plt.plot(x, rv.pdf(x))

# Check accuracy of cdf and ppf

prb = rayleigh.cdf(x, )
h = plt.semilogy(np.abs(x - rayleigh.ppf(prb, )) + 1e-20)

# Random number generation

R = rayleigh.rvs(size=100)
